<?php require_once 'simg-config.php'; ?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="<?php echo $site_desc; ?>">
	<meta content="<?php echo $site_protocol . $site_url; ?>" property="og:url">
	<title><?php echo $site_title; ?></title>
	<link rel="icon" href="<?php echo $site_protocol . $site_url; ?>/inc/img/favicon.png">
	<link rel="stylesheet" href="<?php echo $site_protocol . $site_url; ?>/inc/css/simple-line-icons.css">
	<link rel="stylesheet" href="<?php echo $site_protocol . $site_url; ?>/inc/css/normalize.min.css">
	<link rel="stylesheet" href="<?php echo $site_protocol . $site_url; ?>/inc/css/milligram.min.css">
	<link rel="stylesheet" href="<?php echo $site_protocol . $site_url; ?>/inc/css/styles.css">
</head>
<body>

	<main class="wrapper">

		<nav class="navigation">
			<section class="container">
				<a class="navigation-title" href="">
					<h1 class="title"><span class="icon-picture"></span><?php echo $site_name; ?></h1>
				</a>
				<ul class="navigation-list float-right">
					<li class="navigation-item">
						<a class="navigation-link" href="#popover-menu" data-popover><span class="icon-menu"></span></a>
						<div class="popover" id="popover-menu">
							<ul class="popover-list">
								<?php if($enable_page_about): ?>
								<li class="popover-item"><a href="#about" class="popover-link">About us</a></li>
								<?php endif; ?>
								<?php if($enable_page_ads): ?>
								<li class="popover-item"><a href="#advertising" class="popover-link">Advertising</a></li>
								<?php endif; ?>
								<?php if($enable_page_news): ?>
								<li class="popover-item"><a href="#news" class="popover-link">Our News</a></li>
								<?php endif; ?>
								<?php if($enable_page_contacts): ?>
								<li class="popover-item"><a href="#contacts" class="popover-link">Contact us</a></li>
								<?php endif; ?>
							</ul>
						</div>
					</li>
				</ul>
			</section>
		</nav>

		<?php
			if($_SERVER['REQUEST_METHOD'] == 'POST') {
				preg_match('/\.([a-zA-Z]+?)$/', $_FILES['file']['name'], $matches);
				if(in_array(strtolower($matches[1]), $allowed_extensions)) {
					if($_FILES['file']['size'] <= $max_filesize) {
						$newname = substr(md5_file($_FILES['file']['tmp_name']), 0, $file_name_chars) . ' . ' . $matches[1];
						if($filename_use_date) {
							$newname = $file_name_cur_date . substr(md5_file($_FILES['file']['tmp_name']), 0, $file_name_chars) . ' . ' . $matches[1];
						}
						move_uploaded_file($_FILES['file']['tmp_name'], $img_dir . '/' . $newname);
						$link_url = $site_protocol.$_SERVER['HTTP_HOST'].preg_replace('/\/([^\/]+?)$/', '/', $_SERVER['PHP_SELF']) . '#' . $newname;
						$img_url = $site_protocol.$_SERVER['HTTP_HOST'].preg_replace('/\/([^\/]+?)$/', '/', $_SERVER['PHP_SELF']).$img_dir . '/' . $newname;
						print '
							<section id="uploaded-image" class="container">
								<div class="notification notification-success">Success! The image has been uploaded.</div>
								<div id="image" class="text-center">
									<a href="#image-modal" id="uploaded-image-url"><img src="' . $img_url . '" alt="'.preg_replace('/\\.[^.\\s]{3,4}$/', '', $_FILES['file']['name']) . '"></a>
								</div>
								<div class="light-modal" id="image-modal" role="dialog" aria-labelledby="light-modal-label" aria-hidden="false">
									<div class="light-modal-content">
										<div class="light-modal-body text-center">
											<img src="' . $img_url . '" alt="'.preg_replace('/\\.[^.\\s]{3,4}$/', '', $_FILES['file']['name']) . '">
											<a href="#" class="light-modal-close-icon" aria-label="close">&times;</a>
										</div>
									</div>
								</div>
								<div id="links" class="links">
									';
									if($enable_direct_link) {
										print '
										<label for="image-direct-link">Direct Link:</label>
										<div class="row">
											<div class="column pos-relative">
												<input type="text" id="image-direct-link-input" value="' . $img_url . '" onclick="javascript:this.focus();this.select();" readonly="true">
												';
												if($enable_share) {
													print '
														<a class="button button-clear button-share" href="#popover-share" data-popover><span class="icon-share"></span> Share</a>
														<div id="popover-share" class="popover">
															<ul class="popover-list">
																<li class="popover-item"><a href="' . $facebook_share . $img_url . '" class="popover-link" target="_blank">Facebook</a></li>
																<li class="popover-item"><a href="' . $twitter_share . $img_url;if($twitter_share_via){print'&amp;via=' . $twitter_username;} print'" class="popover-link" target="_blank">Twitter</a></li>
																<li class="popover-item"><a href="' . $reddit_share . $img_url . '" class="popover-link" target="_blank">Reddit</a></li>
																<li class="popover-item"><a href="' . $pinterest_share . $img_url . '&amp;media=' . $img_url . '&amp;description='.preg_replace('/\\.[^.\\s]{3,4}$/', '', $_FILES['file']['name']) . '" class="popover-link" target="_blank">Pinterest</a></li>
															</ul>
														</div>
													';
												}
													print '
											</div>
											<div class="column-25">
														<button class="button button-outline button-copy" onclick="copyDirectLink()" onmouseout="outFuncDirect()"><span  id="image-direct-link-button">Copy</span></button>
											</div>
										</div>
										';
									}
									if($enable_bbcode_link) {
										print '
										<label for="image-bbcode-link">BB Code:</label>
										<div class="row">
											<div class="column">
												<input type="text" id="image-bbcode-link-input" value="[img]' . $img_url . '[/img]" onclick="javascript:this.focus();this.select();" readonly="true">
											</div>
											<div class="column-25">
												<button class="button button-outline button-copy" onclick="copyBBCodeLink()" onmouseout="outFuncBBCode()"><span id="image-bbcode-link-button">Copy</span></button>
											</div>
										</div>
										';
									}
									if($enable_html_link) {
										print '
										<label for="image-html-link">HTML Code:</label>
										<div class="row">
											<div class="column">
												<input type="text" id="image-html-link-input" value="&lt;a href=&quot;' . $img_url . '&quot;&gt;&lt;img src=&quot;' . $img_url . '&quot;&gt;&lt;/a&gt;" onclick="javascript:this.focus();this.select();" readonly="true">
											</div>
											<div class="column-25">
												<button class="button button-outline button-copy" onclick="copyHtmlLink()" onmouseout="outFuncHtml()"><span id="image-html-link-button">Copy</span></button>
											</div>
										</div>
										';
									}
									print '
								</div>
							</section>
							<div class="or-line"><span>Upload New Image</span></div>
						';
					} else {
						print '
							<section id="notification" class="container">
								<div class="notification notification-error">Error. Maximum image size is ' . formatFilesize($max_filesize) . '.</div>
							</section>
						';
					}
				} else {
					print '
						<section id="notification" class="container">
							<div class="notification notification-error">Error. This extension is not allowed.</div>
						</section>
					';
				}
			}
		?>

		<section class="container" id="upload-form">
			<div class="notification notification-info"><?php echo $allowed_ext_note; ?> file extensions are allowed with maximum file size of <?php echo formatFilesize($max_filesize); ?>.</div>
			<div class="row">
				<div class="column">
					<form id="form-upload" class="form-upload" action="<?php print preg_replace('/\/([^\/]+?)$/', '/', $_SERVER['PHP_SELF']); ?>" method="post" enctype="multipart/form-data">
						<input type="file" id="file" class="file-input" name="file" value="<?php echo $max_filesize; ?>">
						<button type="submit" class="button" name="submit">Upload Image</button>
					</form>
				</div>
			</div>
		</section>

		<?php if($enable_ads): ?>
			<section id="ad-block" class="container">
				<div class="ad-block"><?php echo $ad_code; ?></div>
			</section>
		<?php endif; ?>

		<footer class="footer">
			<section class="container">
				<div class="row">
					<div class="column copyright-text <?php if(!$enable_social){echo 'text-center';} ?>">&copy; <?php echo date("Y") . ' <a href="' . $site_protocol . $site_url . '">' . $company_name . '</a>. ' . $copyright_text; ?></div>
					<?php if($enable_social): ?>
					<div class="column social-profiles">
						<span class="follow-us-text">Follow us</span>
						<?php if($facebook_url != ''): ?>
						<a href="<?php echo $facebook_url; ?>" title="Facebook" target="_blank"><span class="icon-social-facebook"></span></a>
						<?php endif; ?>
						<?php if($twitter_url != ''): ?>
						<a href="<?php echo $twitter_url; ?>" title="Twitter" target="_blank"><span class="icon-social-twitter"></span></a>
						<?php endif; ?>
						<?php if($instagram_url != ''): ?>
						<a href="<?php echo $instagram_url; ?>" title="Instagram" target="_blank"><span class="icon-social-instagram"></span></a>
						<?php endif; ?>
						<?php if($pinterest_url != ''): ?>
						<a href="<?php echo $pinterest_url; ?>" title="Pinterest" target="_blank"><span class="icon-social-pinterest"></span></a>
						<?php endif; ?>
						<?php if($youtube_url != ''): ?>
						<a href="<?php echo $youtube_url; ?>" title="YouTube" target="_blank"><span class="icon-social-youtube"></span></a>
						<?php endif; ?>
					</div>
					<?php endif; ?>
				</div>
			</section>
		</footer>

	</main>

	<?php if($enable_page_about): ?>
	<!-- Modal About us -->
	<div class="light-modal" id="about" role="dialog" aria-labelledby="light-modal-label" aria-hidden="false">
			<div class="light-modal-content">
				<div class="light-modal-header">
					<h3 class="light-modal-heading">About us</h3>
					<a href="#" class="light-modal-close-icon" aria-label="close">&times;</a>
				</div>
				<div class="light-modal-body">
					<p>Lorem ipsum dolor sit amet, <a href="#">consectetur</a> adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Phasellus vestibulum lorem sed risus ultricies. Purus gravida quis blandit turpis cursus in hac.</p>
					<p>Turpis massa tincidunt dui ut ornare lectus sit amet. Tortor pretium viverra suspendisse potenti nullam ac tortor vitae. Nunc id cursus metus aliquam eleifend mi in. Varius quam quisque id diam vel quam elementum. Ligula ullamcorper <strong>malesuada</strong> proin libero. Et tortor consequat id porta nibh. Arcu vitae elementum curabitur vitae nunc sed.</p>
					<p>Eget nunc scelerisque <strong>viverra</strong> mauris in aliquam sem fringilla. Vestibulum lorem sed risus ultricies. Id nibh tortor id aliquet lectus proin nibh nisl.</p>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<?php if($enable_page_ads): ?>
	<!-- Modal Advertising -->
	<div class="light-modal" id="advertising" role="dialog" aria-labelledby="light-modal-label" aria-hidden="false">
			<div class="light-modal-content">
				<div class="light-modal-header">
					<h3 class="light-modal-heading">Advertising on <?php echo $company_name; ?></h3>
					<a href="#" class="light-modal-close-icon" aria-label="close">&times;</a>
				</div>
				<div class="light-modal-body">
					<p>In ornare quam viverra orci sagittis. Adipiscing elit ut aliquam purus sit amet luctus venenatis. Sit amet dictum sit amet.</p>
					<p>Auctor elit sed vulputate mi sit amet <a href="#">mauris commodo</a> quis. Sollicitudin nibh sit amet commodo nulla. Lorem donec massa sapien faucibus et molestie ac feugiat. Egestas maecenas <strong>pharetra convallis</strong> posuere morbi leo urna.</p>
					<p>Risus ultricies tristique nulla aliquet. Fermentum leo vel orci porta non pulvinar neque laoreet suspendisse. In tellus integer feugiat scelerisque varius morbi enim nunc. Diam donec adipiscing tristique risus nec.</p>
					<p>If you want to advertise on our website please contact us on email below:</p>
					<h5><?php echo $contact_email_public; ?></h5>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<?php if($enable_page_news): ?>
	<!-- Modal News -->
	<div class="light-modal" id="news" role="dialog" aria-labelledby="light-modal-label" aria-hidden="false">
			<div class="light-modal-content">
				<div class="light-modal-header">
					<h3 class="light-modal-heading">Our News</h3>
					<a href="#" class="light-modal-close-icon" aria-label="close">&times;</a>
				</div>
				<div class="light-modal-body">
					<h4>November 10, 2021 - New Featured Added</h4>
					<p>Arcu non odio euismod lacinia at. A cras semper auctor neque vitae tempus. Pulvinar etiam non quam lacus. Lorem ipsum dolor sit amet consectetur adipiscing.</p>
					<h4>November 5, 2021 - Terms & Conditions Changes</h4>
					<p>Est velit egestas dui id ornare arcu odio ut sem. Gravida quis blandit turpis cursus in hac habitasse platea. Mi sit amet mauris commodo quis imperdiet massa tincidunt nunc. Aliquam <a href="#">etiam erat</a> velit scelerisque in dictum non.</p>
					<h4>November 1, 2021 - We Are Ready</h4>
					<p>Nunc aliquet bibendum enim facilisis gravida neque convallis. Vel eros <strong>donec ac odio</strong> tempor orci. Ultrices tincidunt arcu non sodales neque. Netus et malesuada fames ac turpis. Pretium aenean pharetra magna ac.</p>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<?php if($enable_page_contacts): ?>
	<!-- Modal Contact us -->
	<div class="light-modal" id="contacts" role="dialog" aria-labelledby="light-modal-label" aria-hidden="false">
			<div class="light-modal-content">
				<div class="light-modal-header">
					<h3 class="light-modal-heading">Contact us</h3>
					<a href="#" class="light-modal-close-icon" aria-label="close">&times;</a>
				</div>
				<div class="light-modal-body text-center">
					<p>If you need support or want to get in touch with us please contact us on email below:</p>
					<h3><?php echo $contact_email_public; ?></h3>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<script src="<?php echo $site_protocol . $site_url; ?>/inc/js/popover.js"></script>
	<script src="<?php echo $site_protocol . $site_url; ?>/inc/js/functions.js"></script>

	<?php if($enable_google_analytics): ?>
	<script>
	var _gaq = _gaq || [];
	_gaq.push(['_setAccount', '<?php echo $google_analytics_account; ?>']);
	_gaq.push(['_setDomainName', '<?php echo $site_url; ?>']);
	_gaq.push(['_trackPageview']);
	(function() {
	var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	})();
	</script>
	<?php endif; ?>

</body>
</html>