<?php

// @Package SIMG

// Site protocol (http or https)
$site_protocol = 'https://';

// Site URL without trailing slash & protocol
$site_url = 'simg.ml';

// Force main page use https
$force_ssl = true;

// Force https if set to true
if($force_ssl && $_SERVER['HTTPS'] != 'on') {
    header('Location: https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
    exit();
}

// Contact Email
$contact_email = 'info@simg.ml';

// Convert email for public (to avoid email scanners)
$contact_email_public = str_replace('@', '&commat;', $contact_email);

// Name of your site or brand
$company_name = 'SIMG';

// Site name
$site_name = 'Simple Image Hosting';

// Site title
$site_title = 'SIMG - Simple Image Hosting PHP Script';

// Site description
$site_desc = 'SIMG - A simple image hosting script written in PHP';

// Maximum file size in bytes (Online calculator: https://gbmb.org/mb-to-bytes)
$max_filesize = 1048576;

function formatFilesize($max_filesize, $precision = 2) {
    $unit = ["B", "KB", "MB", "GB"];
    $exp = floor(log($max_filesize, 1024)) | 0;
    return round($max_filesize / (pow(1024, $exp)), $precision).$unit[$exp];
}

// Allowed file extenstions
$allowed_extensions = array('png', 'PNG', 'jpg', 'JPG', 'jpeg','JPEG', 'gif', 'GIF', 'webp', 'WEBP');

// Allowed file extenstions warning
$allowed_ext_note = 'JPG, PNG, GIF & WEBP';

// Directory where images will be stored (must be chmoded to 777)
$img_dir = 'img';

// Arrange folders by date (true or false)
$img_dir_use_date = true;

// Folders name date format
$img_dir_cur_date = date('ym');

// Image file name characters
$file_name_chars = 6;

// Add current date to filename (true or false)
$filename_use_date = true;

// File name date format
$file_name_cur_date = date('d');

// If is set arrange folders by date
if($img_dir_use_date) {
	$img_dir = $img_dir . '/' . $img_dir_cur_date;
}

// Create folder if it does not exists
if ($img_dir_use_date) {
	if (isset($_FILES['file']['name']) && !file_exists($img_dir)) {
		mkdir($img_dir, 0755, true);
	}
}

// Enable link types (true or false)
$enable_direct_link = true;
$enable_bbcode_link = true;
$enable_html_link = true;

// Enable Google Analytics (true or false)
$enable_google_analytics = false;

// Google Analytics account (e.g. UA-12345678-1)
$google_analytics_account = '';

// Enable Links & Pages
$enable_page_about = true;
$enable_page_ads = true;
$enable_page_news = true;
$enable_page_contacts = true;

// Footer copyrights text
$copyright_text = 'All rights reserved.';

// Enable & Disable Functions (true or false)
$enable_ads = true;
$enable_share = true;
$enable_social = true;

// Social URLs
$facebook_url = 'https://facebook.com/#';
$twitter_url = 'https://twitter.com/#';
$instagram_url = 'https://instagram.com/#';
$pinterest_url = 'https://pinterest.com/#';
$youtube_url = 'https://youtube.com/#';

// Add via username on Twitter share (true or false)
$twitter_share_via = true;

// Twitter username (for links share)
$twitter_username = 'uploadsmarket';

// Social share links
$facebook_share = 'https://www.facebook.com/sharer/sharer.php?u=';
$twitter_share = 'https://twitter.com/intent/tweet?text=';
$reddit_share = 'http://www.reddit.com/submit?url=';
$pinterest_share = 'https://pinterest.com/pin/create/button/?url=';

$ad_code = file_get_contents('inc/ads/ad_code.html');

?>